%_compat_el5_build

# Workaround to always have %scl defined
%{!?scl:%global scl autotools-latest}

%{?scl:%scl_package %scl}

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 9%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Applications/File

Requires: %{?scl_prefix}m4, %{?scl_prefix}automake
Requires: %{?scl_prefix}autoconf, %{?scl_prefix}libtool
%{?scl:BuildRequires: scl-utils-build}
%{?scl:BuildRequires: iso-codes}

%if ! 0%{?buildroot:1}
# HACK!  This should be truth only for RHEL5, so benefit from
# this %%if for defining (otherwise undefined) macro for this platform.
%global rhel 5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

%description
This is the main package for %scl Software Collection.  It contains the latest
released (stable) versions of autotools.  Just run "scl enable %scl bash" to
make it work instead of system-default autotools.


%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%prep
%setup -c -T


%build
cat > enable <<\EOF
%_compat_scl_env_adjust PATH            %{_bindir}
%_compat_scl_env_adjust LIBRARY_PATH    %{_libdir}
%_compat_scl_env_adjust LD_LIBRARY_PATH %{_libdir}
%_compat_scl_env_adjust MANDIR          %{_mandir}
%_compat_scl_env_adjust INFOPATH        %{_infodir}
EOF


%install
%if 0%{?rhel} == 5
rm -rf %{buildroot}
%endif

mkdir -p %{buildroot}/%{_scl_scripts}/root
install -c -p -m 0644 enable %{buildroot}%{_scl_scripts}/enable

%scl_install

cat %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config
rm -rf %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config


%files


%files runtime
%scl_files
%if 0%{?rhel} == 7
# Temporary fix for some bug in scl-utils-build-20130529-1.el7.x86_64
/opt/rh/autotools-latest/root/lib64
%endif


%changelog
* Sat Jul 19 2014 Pavel Raiskup <praiskup@redhat.com> - 1-9
- merge changes from autotools-git.spec

* Thu May 29 2014 Pavel Raiskup <praiskup@redhat.com> - 1-8
- release bump for %%_compat_el5_build

* Fri Apr 18 2014 Pavel Raiskup <praiskup@redhat.com> - 1-7
- the fix for 'filelist' (#1079203) is not needed, according to
  https://fedorahosted.org/SoftwareCollections/ticket/18

* Thu Apr 17 2014 Pavel Raiskup <praiskup@redhat.com> - 1-6
- merge fixes with autotools-git version

* Tue Mar 25 2014 Pavel Raiskup <praiskup@redhat.com> - 1-5
- buildroots are prepared, lets require all packages

* Tue Mar 25 2014 Pavel Raiskup <praiskup@redhat.com> - 1-4
- fixes for RHEL5

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-3
- ok, this is annoying but I overlooked the mistake

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-2
- oh well, the EPEL7 workaround causes problem now on EPEL7, giving up and not
  trying to observe what really happens

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-1
- initial packaging
